> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/embedded-wallets/get-wallet-latest-backup-details",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get wallet Latest Backup details

> Get wallet Latest Backup details, including the deviceId, and backup time



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /ncw/wallets/{walletId}/backup/latest
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /ncw/wallets/{walletId}/backup/latest:
    get:
      tags:
        - Embedded Wallets
      summary: Get wallet Latest Backup details
      description: >-
        Get wallet Latest Backup details, including the deviceId, and backup
        time
      operationId: GetEmbeddedWalletLatestBackup
      parameters:
        - in: path
          name: walletId
          description: Wallet Id
          example: 550e8400-e29b-41d4-a716-446655440000
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmbeddedWalletLatestBackupResponse'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<EmbeddedWalletLatestBackupResponse>> =
            fireblocks.embeddedWallets.getEmbeddedWalletLatestBackup(embeddedWalletsApiGetEmbeddedWalletLatestBackupRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<EmbeddedWalletLatestBackupResponse>>
            response =
            fireblocks.embeddedWallets().getEmbeddedWalletLatestBackup(walletId);
        - lang: Python
          source: >-
            response =
            fireblocks.embedded_wallets.get_embedded_wallet_latest_backup(wallet_id);
components:
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    EmbeddedWalletLatestBackupResponse:
      type: object
      properties:
        passphraseId:
          type: string
          description: passphraseId
          example: passphraseId
        createdAt:
          type: number
          description: createdAt
          example: 1713789296
        keys:
          type: array
          description: keys
          items:
            $ref: '#/components/schemas/EmbeddedWalletLatestBackupKey'
      required:
        - passphraseId
        - createdAt
        - keys
    EmbeddedWalletLatestBackupKey:
      type: object
      properties:
        deviceId:
          type: string
          description: deviceId
          example: deviceIdValue
        publicKey:
          type: string
          description: publicKey
          example: publicKeyValue
        keyId:
          type: string
          description: keyId
          example: keyIdValue
        algorithm:
          type: string
          description: algorithm
          example: algorithm
          enum:
            - MPC_CMP_ECDSA_SECP256K1
            - MPC_CMP_EDDSA_ED25519
            - MPC_ECDSA_SECP256K1
      required:
        - deviceId
        - publicKey
        - keyId
        - algorithm
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````